%global _empty_manifest_terminate_build 0
Name:           python-bunch
Version:        1.0.1
Release:        3
Summary:        A dot-accessible dictionary (a la JavaScript objects)
License:        MIT
URL:            http://github.com/dsc/bunch
Source0:        https://files.pythonhosted.org/packages/cc/56/ceef9c8c12600a1ceb3dcefdd9e5094c72fbdba0c3af785b4a69205022c1/bunch-1.0.1.zip
Patch001:       bunch.patch
BuildArch:      noarch
%description
Bunch is a dictionary that supports attribute-style access, a la JavaScript.

%package -n python3-bunch
Summary:        A dot-accessible dictionary (a la JavaScript objects)
Provides:       python-bunch
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-bunch
Bunch is a dictionary that supports attribute-style access, a la JavaScript.

%package help
Summary:        A dot-accessible dictionary (a la JavaScript objects)
Provides:       python3-bunch-doc
%description help
Bunch is a dictionary that supports attribute-style access, a la JavaScript.

%prep
%autosetup -n bunch-1.0.1 -p1

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-bunch -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Aug 10 2023 zhengting <tzing0013@gmail.com> - 1.0.1-3
- DESC: fix conflict with bunch

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.0.1-2
- DESC: delete -S git from %autosetup

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 1.0.1-1
- Package Spec generate
